Aggregate Projects

Aggregate projects with GROUP BY operations.

Allows grouping by name, city, country, site_code, and other fields with aggregation functions like COUNT, SUM, AVG, MIN, MAX. Uses the same base filters and company scoping as the search endpoint for consistent behavior.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Project aggregation model with project-specific filters.

Inherits from ProjectSearchModel to include is_archived and external_ids filters in addition to the standard search parameters.

string | null

Keywords should be space separated and are ANDed together, so all keywords must be present but they can be present in any of the fields specified above.

integer | null
Defaults to 0

Number of records to skip before returning records

integer | null
Defaults to 50

Number of records to return

string
enum
Defaults to desc

Direction to sort the sort_column - ascending or descending

Allowed:
date-time | null

If sorting on updated_at or created_at, and date_cut_off is provided, return only records that were created or updated (whichever is being sorted on) between date_start and date_cut_off

date-time | null

If sorting on updated_at or created_at, return only records that were created or updated (whichever is being sorted on) between the initial value (determined by sort order) and the cutoff date.

For example, sorting on created_at ascending with a date_cut_off will return all records from the oldest creation date to the cutoff date. By comparison, sorting on created_at descending with a date_cut_off will return all records from the most recent creation date to the cutoff date.

string | null

Column to sort aggregation results by (must be in group_by or an aggregation alias)

string | null

Return sites with a matching external identifier. Should be a comma-separated list.

boolean | null
Defaults to false

Filter based on the project's archived status. Defaults to False, which returns records that have not been archived

string | null

Filter by project city.

string | null

Filter by project country.

boolean | null

Filter by private/public status.

integer | null

Filter by prime contractor company ID.

group_by
array of strings
required

Column names to group by

Group By*
aggregations
array of objects
required

Aggregation functions to apply

Aggregations*
string
enum
Defaults to updated_at

Column to apply date_start/date_cut_off filters on (created_at or updated_at)

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json